*{
	margin: 0;
	padding: 0;
    overflow: hidden;
    border: none;
    box-sizing: border-box;
    font-family: 楷体, 宋体, 仿宋, 'AR PL UKai HK', Arial, Helvetica, sans-serif, Tahoma, Verdana, Geneva;

}
html,
body{
    max-width: 100%;
    min-width: 100%;
    max-height: 100%;
    min-height: 100%;
    width: 100%;
    height: 100%;
    display: block;
    margin: 0px auto;
    background-color: transparent;
}
u,i,b{
    text-decoration: none;
}

article{
    display: none;
    background-color: #F3F3F3;
}

input, textarea{
    display: none;
}

#doc{

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    flex-grow: 1;

    margin: 0px;
    height: 100%;
    min-height: 100%;
 
    background-color: #C2DFCD;
    z-index: 0;

}

#main{
    display:block;
    flex-direction: column;
    flex-grow: 1;
    width: 100%;
    height: 84%;
    min-width: 100%;
    justify-content: flex-start;
    align-items: flex-start;
    background-color: #F3F3F3;
    background-image: url('/media/loading_icon_circle.gif');
    background-repeat: no-repeat;
    background-position: center;
    overflow-y:hidden;
}

#footer,
#header{
    display:flex;
    flex-direction: row;
    width: 98%;
    height: 6%;
    margin: 1%;
    min-width: 98%;
    justify-content: space-around;
    align-items: center;
}

#footer{
    display:flex;
    align-items: flex-end;
    height: 8%;
    width: 100%;
    margin: 0px;
}

div.footBar{
    height: 100%;
    width: 100%;
    display:flex;
    flex-direction: row;
    justify-content: space-around;
    background-color: #fcfffc;
}
div.footBar>b{
    display: flex;
    flex-direction: column;
}
div.footBar>b>u,
div.footBar>b>i{
    display: block;
    height: 70%;
    width: auto;
}
div.footBar>b>u{
    height: 30%;
    color: #406A52;
    font-size: 0.7rem;
}

#header>div{
    height: 100%;
}

#header>div.button{
    width: 15%;
}
#header>div.title{
    height: 100%;
    width: 70%;
    flex-grow: 1;
}

#header u.title{
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    text-align: center;

    color:aliceblue;
    font-size: 0.8rem;
    height: 100%;
    width: 100%;
}

article div.scrollBlock,
div#scrollBox{
    display:flex;
    flex-direction: column;
    flex-grow: 1;
    width: 100%;

    min-width: 100%;
    justify-content: flex-start;
    align-items: flex-start;
    background-color: #F3F3F3;
    overflow-y: scroll;

}

/* msgBox */
.msgBox{
    display: block;
    margin: 0px auto;
    width: 100%;
    height: auto;
}
.msgBox>i{
    display: inline-block;
    width: 100%;
    height: 1.8rem;
    line-height: 1.8rem;
    text-align: center;
    vertical-align: middle;
    font-weight: normal;
    font-style: normal;
    font-size: 0.7rem;
    color: #f90000;
}

/*  search box */
div.searchBox{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    height: 2.0rem;
    font-size: 0.9rem;
    padding: 0.1rem 0px;
}
u.search{
    display: block;
    height: 1.8rem;
    line-height: 1.8rem;
    width: 80%;
    margin: 0 auto;
    background-color: azure;
    font-size: 0.8rem;
    border-radius:   0.3rem;
    border: 1px solid #CAD5CF;
    text-indent: 2rem;
}

/* paragraph display */
div.textBox{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    height: 4rem;
    width: 100%;
    font-size: medium;
}

div.textBox>p{
    display: block;
    width: 90%;
    height: 90%;
    font-size: 0.7rem;
    border-radius:   0.4rem;
    border: 1px solid #CAD5CF;
    color: #406A52;
    background-color: #DFEFE5;
}

/* single line input  */
div.inputBox{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    align-self: center;
    height: auto;
    width: 80%;
    font-size: medium;
    border-radius:   0.4rem;
    border: 1px solid #CAD5CF;
    color: #406A52;

}
div.inputBox>label,
div.inputBox>u{
    display: inline-block;
    width: 30%;
    height: 1.8rem;
    line-height: 1.8rem;
    font-size: 0.7rem;
    font-weight: bold;
    text-indent: 0.3rem;
    flex-grow: 0;
}
div.inputBox>u{
    flex-grow: 1;
    font-weight: normal;
}

/* buttons */
div.fullButton{
    width: 100%;
    height: 2rem;
    min-height: 2rem;
    line-height: 2rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding:  0px;
    margin: 5px auto;
}

button{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0px auto;
    height: 100%;
    width: 80%;
    background-color: #406A52;
    border-radius:   0.4rem;
    text-decoration: none;
    text-align: center;
    vertical-align: middle;
    color:aliceblue;
    font-size: 0.7rem;

}
button:hover{
    opacity: 0.8;
}

button.half{
    width: 40%;
}

button.quarter{
    width: 20%;
    font-size: 0.7rem;
}

.iconButtons{
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: 2rem;
    flex-grow: 1;
}
button.icnButton{
    flex-direction: row;
    border-radius:   0.3rem;
    padding-left: 0.3rem;
    background-color: #DFEFE5;
    border: 1px solid #C2DFCD;
}
button.icnButton>i{
    display: block;
    width: 2rem;
    height: 100%;
    text-align: left;
    flex-grow: 0;
}
button.icnButton>i.text{
    flex-grow: 1;
    line-height: 2rem;
    font-size: medium;
    font-style: normal;
    color: #406A52;
    text-indent: 0.5rem;
}
button.icnButton>i.icon{
    display: block;
    background-image: url('/media/icon_set_60.png');
    background-color: transparent;
    background-repeat: no-repeat;
    background-origin: border-box;
    background-size: 500% auto;
    border-radius: 0.1rem;
    margin: 1% auto;
    height: 2rem;
    width: 2rem;
}

main>article .searchClick,
main>article .numValue,
main>article .secureValue,
main>article .dateValue,
main>article .textValue,
main>article .strValue{
    background-color: #ecffec !important;
}

main>article .add:hover,
main>article .del:hover,
main>article .foldClick:hover,
main>article .value:hover{
    cursor: pointer;
}

.numInputMode,
.strInputMode{
    background-color: blanchedalmond;
}